On Die, 2008-07-08 at 11:28 +0200, Holger Levsen wrote:
> Hi,
> 
> I'm using 0.5.6-rc7 and trying to set LIBDIR to /usr/lib/olsrd (to comply with 
> Debian Policy) by setting it in Makefile.inc and make/Makefile.linux, it 
> builds fine, installs in the right place, but doesnt work: 
> 
> DL loading failed: "olsrd_httpinfo.so.0.1: cannot open shared object file: No 
> such file or directory"!

Can you `strace -eopen` it so that we can see where it is actually
searching?

> Shouldn't that work or is the option to define LIBDIR more or less useless? ;)

In theory it should work as we have
----  snip  ----
LDFLAGS +=      -Wl,-rpath,$(LIBDIR)
----  snip  ----
in Makefile.inc.
So you should also see it during the build (of the "olsrd" binary).

> If I use absolute paths in olsrd.conf it works, but that's not elegant at all.

ACK.
But at least we know now that the files are there and not broken;-)

	Bernd
-- 
Firmix Software GmbH                   http://www.firmix.at/
mobil: +43 664 4416156                 fax: +43 1 7890849-55
          Embedded Linux Development and Services




